# gconftool2 – Edit GNOME Configurations

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module allows for the manipulation of GNOME 2 Configuration via gconftool-2. Please see the gconftool-2(1) man pages for more details.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config_source - |  | Specify a configuration source to use rather than the default path. See man gconftool-2(1)

direct
boolean

Choices:
- no ←
- yes

Access the config database directly, bypassing server. If direct is specified then the config_source must be specified as well. See man gconftool-2(1)

key - / required |  | A GConf preference key is an element in the GConf repository that corresponds to an application preference. See man gconftool-2(1)

state
- / required

Choices:
- absent
- get
- present

The action to take upon the key/value.

value - |  | Preference keys typically have simple values such as strings, integers, or lists of strings and integers. This is ignored if the state is "get". See man gconftool-2(1)

value_type
-

Choices:
- bool
- float
- int
- string

The type of value being set. This is ignored if the state is "get".

## Examples

    - name: Change the widget font to "Serif 12"
      gconftool2:
        key: "/desktop/gnome/interface/font_name"
        value_type: "string"
        value: "Serif 12"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
key string | success | The key specified in the module parameters Sample: /desktop/gnome/interface/font_name
value string | success | The value of the preference key after executing the module Sample: Serif 12
value_type string | success | The type of the value that was changed Sample: string

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kenneth D. Evensen (@kevensen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.